Package org.gradle.api.resources

# Interface ReadableResource

All Superinterfaces:
  `Resource`

public interface ReadableResource extends Resource
A resource that can be read. The simplest example is a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `read()`
  Returns an unbuffered `InputStream` that provides means to read the resource.

  ### Methods inherited from interface org.gradle.api.resources.Resource

  `getBaseName, getDisplayName, getURI`

- ## Method Details

  - ### read

    InputStream read() throws MissingResourceException, ResourceException
    Returns an unbuffered `InputStream` that provides means to read the resource. It is the caller's responsibility to close this stream.
    Returns:
      An input stream.
    Throws:
      `MissingResourceException`
      `ResourceException`